<template>
  <div class="ui form">
    <div class="title">Отмена запроса</div>
    <div class="field">
      <label>Укажите причину отмены
        <div class="question">
          <div
            class="button"
            v-tooltip="{
              classes: 'tooltip kit white',
              trigger: 'hover',
              offset: '4',
              placement: 'right',
              html: 'true',
              content: hintContent.resonCancel,}"/>
        </div>
      </label>
      <div class="ui input">
        <textarea
          class="small"
          id="resonCancel"/>
      </div>
      <div class="warning message">
        Отмененный запрос можно восстановить, если
        для покупателя запрос всё ещё будет актуальным.
      </div>
    </div>
    <div class="field">
      <button
        type="submit"
        class="ui button yellow">Отменить запрос
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'FormCancelRequest',
  data() {
    return {
      hintContent: {
        resonCancel: '<div class=help-cabinet><p>Отмененный запрос можно восстановить, если для покупателя запрос '
          + 'всё ещё будет актуальным.</p></div>',
      },
    };
  },
};
</script>

<style
  scoped
  lang="scss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .title {
    display: block;
    font-size: 1rem;
    line-height: 1.3;
    font-weight: 500;
    margin: 0;
    padding: 1.25rem 0;
  }

  .ui.form {
    .field {
      max-width: 22rem;
    }
    .warning.message {
      color: currentColor;
      font-size: 0.8125rem;
    }
    .ui.button {
      margin-top: 1rem;
    }
  }
</style>
